.autodepend

!if $d(DEBUG)
CFLAGS = -mm -2 -v -M -WDE -D_DEBUG
LFLAGS = /M /s /v /Twd
LIBS = noehwm.lib cwm.lib import.lib
!else
CFLAGS = -mm -2 -O1 -WDE
LFLAGS = /Twd
LIBS = noehwm.lib cwm.lib import.lib
!endif

.c.obj:
   $(CC) $(CFLAGS) -c -o$(@R).obj -I$(@D) $<

all: evchkdx.lib

evchkdx.lib: evchkdx.dll
   implib evchkdx.lib evchkdx.dll

evchkdx.dll: evchkdx.obj ..\..\..\evchk3.obj evchkdx.def evchkdx.res
   tlink $(LFLAGS) @&&|
c0dm.obj+
evchkdx.obj+
..\..\..\evchk3.obj
evchkdx.dll
evchkdx.map
$(LIBS)
evchkdx.def
|
   brc -t -31 evchkdx.res evchkdx.dll

evchkdx.obj: $(@R).c

evchkdx.res: evchkdx.rc
   brc -r evchkdx.rc
